VERSION 5.00
Object = "{8B973533-0625-4CA4-B58F-725A25E1607C}#1.0#0"; "RadioGroup.ocx"
Begin VB.Form frmSample 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "RadioGroup Sample"
   ClientHeight    =   3090
   ClientLeft      =   3240
   ClientTop       =   2385
   ClientWidth     =   4995
   Icon            =   "frmSample.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3090
   ScaleWidth      =   4995
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin RadioGroups.RadioGroup RadioGroupTransmission 
      Height          =   1170
      Left            =   3000
      TabIndex        =   3
      Top             =   720
      Width           =   1305
      _ExtentX        =   2302
      _ExtentY        =   2064
      CaptionNames    =   "Stick shift;Automatic;"
      Rows            =   2
      Value           =   2
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Caption         =   " Transmission "
      X_Distance      =   100
      Y_Distance      =   250
      Left_Title      =   120
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "&Close"
      Height          =   375
      Left            =   3000
      TabIndex        =   0
      Top             =   2160
      Width           =   1215
   End
   Begin RadioGroups.RadioGroup RadioGroupCars 
      Height          =   1605
      Left            =   600
      TabIndex        =   4
      Top             =   840
      Width           =   1395
      _ExtentX        =   2461
      _ExtentY        =   2831
      CaptionNames    =   "Acura;Honda;BMW;Toyota;RadioButton;"
      Rows            =   4
      Value           =   2
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Caption         =   ""
      BorderStyle     =   0
      X_Distance      =   100
      Y_Distance      =   200
   End
   Begin VB.Label lblHelp 
      Caption         =   "Select a car and type of transmission"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   225
      Left            =   840
      TabIndex        =   2
      Top             =   45
      Width           =   3255
   End
   Begin VB.Label lblDisplay 
      Alignment       =   2  'Center
      BackColor       =   &H00C0C0C0&
      BackStyle       =   0  'Transparent
      BorderStyle     =   1  'Fixed Single
      Height          =   280
      Left            =   360
      TabIndex        =   1
      Top             =   360
      Width           =   4215
   End
End
Attribute VB_Name = "frmSample"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' set up two string variables to hold the captions
Dim strCar, strTransmission As String
' bind the caption with the two string variables.
Sub ShowChoice()
    lblDisplay.Caption = "You selected a" + strCar + " with " _
                         + strTransmission + " Transmission"
End Sub
' unload the form
Private Sub cmdClose_Click()
    Unload Me
End Sub
Private Sub Form_Load()
    
    ' invoke a Click event in the default options
    ' to update the label caption
    RadioGroupCars_Click
    RadioGroupTransmission_Click

End Sub
' assign a value to the first string variable
Private Sub RadioGroupCars_Click()
    
    strCar = ""
    Select Case RadioGroupCars.Value
    Case 1
        strCar = "n Acura"
    Case 2
        strCar = " Honda"
    Case 3
        strCar = " BMW"
    Case 4
        strCar = " Toyota"
    End Select
    
    ' call the subroutine to display choice
    ShowChoice

End Sub
' assign a value to the second string variable
Private Sub RadioGroupTransmission_Click()
    
    If RadioGroupTransmission.Value = 1 Then
        strTransmission = "Stick Shift"
    ElseIf RadioGroupTransmission.Value = 2 Then
        strTransmission = "Automatic"
    End If
    
    ' call the subroutine to display choice
    ShowChoice

End Sub
